* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, sans-serif;
}

body {
    margin: 0;
    font-family: 'Segoe UI', sans-serif;
    background: url('/Pictures/ABG.jpg') no-repeat center center/cover;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
}

.container {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}

input[type="password"]::-ms-reveal {
    display: none;
}


.register-box {
    background: rgba(18, 92, 0, 0.6); /* translucent green */
    border: 1px solid white;
    border-radius: 20px;
    padding: 20px 30px;
    box-shadow: 0 8px 30px rgba(1, 1, 1, 0.5);
    color: #fff;
    text-align: center;
    width: 700px;
}

.password-box {
    background:  rgba(18, 92, 0, 0.6);
    padding: 30px;
    border-radius: 10px;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
    text-align: center;
    width: 450px;
}
h2 {
    font-size: 40px;
    font-weight: bold;
}

p {
    margin-bottom: 15px;
    font-size: 16px;
}

.input-group {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.input-group input,
.input-group select {
    width: 48%;
    padding: 10px;
    margin: 10px 0;
    border: none;
    border-radius: 5px;
    font-size: 16px;
    color: #000000;
}


.input-group input::placeholder {
    color: gray;
    font-style: italic;
    
  }
  
.button-group {
    display: flex;
    justify-content: space-between;
    margin-top: 20px;
}

.back-btn, .next-btn {
    padding: 10px;
    width: 48%;
    border: none;
    border-radius: 5px;
    font-size: 18px;
    cursor: pointer;
}

.back-btn {
    background: #d32f2f;
    color: white;
}

.next-btn {
    background: #2e7d32;
    color: white;
}

.back-btn:hover {
    background: #b71c1c;
}

.next-btn:hover {
    background: #1b5e20;
}
.create-btn {
    padding: 10px;
    width: 48%;
    border: none;
    border-radius: 5px;
    font-size: 18px;
    cursor: pointer;
}
.create-btn {
    background: #2e7d32;
    color: white;
}
.create-btn:hover {
    background: #1b5e20;
}

@media (max-width: 768px) {
    body, html{
        box-sizing: border-box;
        padding: 10px;
    }
    .register-box, .password-box {
        box-sizing: border-box;
        width: 100%;
    }
    .input-group {
        flex-direction: column;
    }

    .input-group input,
    .input-group select {
        width: 100%;
    }
    .back-btn, .next-btn, .create-btn {
        width: 50%;
        margin: 0px 10px 5px 5px;
        
    }
}